// SQLBase.h
//
// Create an SQL update statement
// 
// Revision Log
//
// Date       Who SAR     Notes
// ========== === ======= =====================================
// 1999-10-30 mph 00069   Initial coding
// 
//
#ifndef CSQLBASE_H
#define CSQLBASE_H

// use like this: .SetColumn( "postedon", SQLBASE_OLEDATETIME( dtObject ) );
#define SQLBASE_OLEDATETIME(o) ((o).GetStatus()==COleDateTime::valid), (o).GetMonth(), (o).GetDay(), (o).GetYear()
#define SQLBASE_SYSTEMDATETIME(o) ((o).GetYear() != 0), (o).GetMonth(), (o).GetDay(), (o).GetYear()

#include <string>

class CSQLBase 
{
public:
   CSQLBase();
   ~CSQLBase();

   void SetStmt( const char* a_szStmt );
   std::string GetStatement();

   static const char STRING;
   static const char JULIAN_DATE;
   static const char ODBC_DATE;
   static const char ORACLE_DATE;
   static const char DATE_YYYYMMDD;
   static const char DATETIME;
   static const char DATE_YYYYMMDDHHMMSS;
   static const char DATE_MMDDYYYY;
   static const char DOUBLE;
   static const char INTEGER;
   static const char LONG;

   void SetTable( const char* tableName );
   CSQLBase& operator=(const char* );
   void ResetContent();

   bool m_bConvertQuotes;

   std::string _table;
   std::string _stmt;

protected:
   bool ConvertQuotes( std::string& a_cs );
private:
   CSQLBase(CSQLBase& o) {;}
};

#endif
